(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1996 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: printval.mli,v 1.1.1.1 1997/09/09 17:38:42 blanchet Exp $ *)

(* Printing of values *)

open Types

val print_exception: Obj.t -> unit
val print_value: Env.t -> Obj.t -> type_expr -> unit

val printers: (Path.t * type_expr * (Obj.t -> unit)) list ref
val max_printer_depth: int ref
val max_printer_steps: int ref
